Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Botan::PK_Ops::Encryption Class Referenceabstract

`#include <pk_ops.h>`

Inheritance diagram for Botan::PK_Ops::Encryption:

## Public Member Functions
virtual secure_vector< uint8_t > | encrypt (const uint8_t msg[], size_t msg_len, RandomNumberGenerator &rng)=0
virtual size_t | max_input_bits () const =0
virtual | ~Encryption ()=default

## Detailed Description

Public key encryption interface

Definition at line 36 of file pk_ops.h.

## Constructor & Destructor Documentation

virtual Botan::PK_Ops::Encryption::~Encryption | ( |  | ) |
| virtual default

## Member Function Documentation

virtual secure_vector<uint8_t> Botan::PK_Ops::Encryption::encrypt | ( | const uint8_t | msg[],
|  | size_t | msg_len,
|  | RandomNumberGenerator & | rng
| ) |  |
| pure virtual

Implemented in Botan::PK_Ops::Encryption_with_EME.

virtual size_t Botan::PK_Ops::Encryption::max_input_bits | ( |  | ) | const
| pure virtual

Implemented in Botan::PK_Ops::Encryption_with_EME.

The documentation for this class was generated from the following file:

- src/lib/pubkey/pk_ops.h